<?php

declare(strict_types=1);

class ModelExtensionPaymentConnectPay extends Model
{
  public function install(): void
  {
    $this->db->query("
			CREATE TABLE IF NOT EXISTS `" . DB_PREFIX . "connectpay_order_transaction` (
			  `id` INT(11) NOT NULL AUTO_INCREMENT,
			  `payment_id` VARCHAR(255) NOT NULL DEFAULT '',
			  `order_id` INT(11) NOT NULL DEFAULT '0',
			  `date_added` DATETIME NOT NULL DEFAULT '0000-00-00 00:00:00',
			  PRIMARY KEY (`id`)
			) ENGINE=innoDB DEFAULT CHARSET=utf8 COLLATE=utf8_general_ci");
  }

  public function uninstall(): void
  {
    $this->db->query("DROP TABLE IF EXISTS `" . DB_PREFIX . "connectpay_order_transaction`");
  }
}
