$(document).ready(function () {
    $(':radio').unbind('click').click(function () {
        $('#payment_connectpay_update_providers_button').prop('disabled', true);
        $('.payment_country_updated_disclaimer').removeClass('hidden');
        if ($(this).val() === $('.all-available-countries').data('all-countries')) {
            $('#all-available-countries-list').removeClass('hidden');
        } else {
            $('#all-available-countries-list').addClass('hidden');
        }

        if ($(this).val() === 'DE') {
            $('.payment_countries_disclaimer').removeClass('hidden');
        } else {
            $('.payment_countries_disclaimer').addClass('hidden');
        }
    })

    if ($("#payment_connectpay_payment_method_pis").is(':checked')) {
        $('#providers input[type="checkbox"]').on('change', function () {
            if ($('#providers input[type="checkbox"]:checked').length !== 0) {
                $('.payment_provider_disclaimer').addClass('hidden');
                $("#save-button").prop('disabled', false);
            } else {
                $('.payment_provider_disclaimer').removeClass('hidden');
                $('#save-button').prop('disabled', true);
            }
        });
    }

    $('#payment_connectpay_update_providers_button').on('click', function () {
        $.ajax({
            method: 'get',
            url: 'index.php?route='.get_payment_providers,
            success: function () {
                window.location.reload();
            }
        })
    });

    $('.payment_provider').on('change', function () {
        const isPisChecked = $("#payment_connectpay_payment_method_pis").is(':checked');
        const isCardChecked = $("#payment_connectpay_payment_method_card").is(':checked');
        if (isPisChecked || isCardChecked) {
            $('#save-button').prop('disabled', false);
            $('.payment_providers_disclaimer').addClass('hidden');
        } else {
            $('#save-button').prop('disabled', true);
            $('.payment_providers_disclaimer').removeClass('hidden');
        }
    });
});
