<?php
// Heading
$_['heading_title'] = 'ConnectPay';

// Text
$_['text_extension'] = 'Extensions';
$_['text_success'] = 'Success: You have modified ConnectPay account details!';
$_['text_edit'] = 'Edit ConnectPay';
$_['text_connectpay'] = '<a href="https://connectpay.com/" target="_blank"><img src="view/image/payment/connectpay.png" alt="ConnectPay" title="ConnectPay" style="border: 1px solid #EEEEEE;" /></a>';

// Tab
$_['tab_settings'] = 'Settings';
$_['tab_order_status'] = 'Order status';

// Entry
$_['entry_client_id'] = 'Client ID';
$_['entry_client_secret'] = 'Client Secret';
$_['entry_brand_id'] = 'Brand ID';
$_['entry_private_key'] = 'Private Key Upload';
$_['entry_status'] = 'Enable functionality';
$_['entry_payment_method'] = 'Payment Method';
$_['entry_update_providers'] = 'Update Payment Providers';
$_['entry_update_providers_button']	= 'Update';
$_['entry_payment_providers'] = 'Payment providers';
$_['entry_payment_countries'] = 'Payment countries';
$_['entry_all_available_countries'] = 'All available countries';
$_['entry_default_country_for_widget'] = 'Default payment country in widget';
$_['entry_order_status_pending'] = 'Pending';
$_['entry_order_status_approved_settled'] = 'Approved/Settled';
$_['entry_order_status_failed_abandoned'] = 'Failed/Abandoned';
$_['entry_cron_url'] = 'Cron URL';

// Help
$_['help_client_id'] = 'Client ID retrieved from ConnectPay';
$_['help_client_secret'] = 'Client Secret retrieved from ConnectPay';
$_['help_brand_id'] = 'Brand ID retrieved from ConnectPay';
$_['help_private_key'] = 'Private key retrieved from ConnectPay';
$_['help_order_status_pending'] = 'When payment is initiated or still in progress';
$_['help_order_status_approved_settled'] = 'When payment is processed and status is  approved or settled';
$_['help_order_status_failed_abandoned'] = 'When payment is processed and status is failed or abandoned';

// Success
$_['success_private_key_exists'] = 'Private key already uploaded';

// Error
$_['error_permission'] = 'Warning: You do not have permission to modify payment ConnectPay!';
$_['error_cp_client_id'] = 'Client ID is required!';
$_['error_cp_client_secret'] = 'Client Secret is required!';
$_['error_cp_brand_id'] = 'Brand ID is required!';
$_['error_cp_payment_method'] = 'Payment method is required!';
$_['error_cp_private_key'] = "Invalid file format! Accepted formats are: *.p8, *.key, *.p10, *.csr, *.crl, *.pem, *.crt, *.p7b, *.spc, *.p7r, *.p7s, *.der, *.cer, *.pfx, *.p12";
$_['error_cp_payment_method_not_selected'] = 'At least one payment method should be selected';
$_['error_cp_payment_provider_not_selected'] = 'At least one payment provider should be selected';
$_['error_cp_payment_country_de_selected'] = '(Default ConnectPay integration, without payment provider selection in settings)';
$_['error_cp_payment_country_updated'] = 'To update payment providers, make sure to first save the form after changing payment country';
$_['error_cp_update_payment_providers'] = 'Please update payment providers';
$_['error_cp_payment_country_not_selected'] = 'At least one payment country should be selected';
